%define _basename qcg-appscripts
%define _sourcedir %{_topdir}/SOURCES/%{_basename}

%{!?default_package_ext: %define default_package_ext tar.gz}
%{!?system_name: %define system_name 0}

Summary:	Application scripts for QCG-Computing service
Name:		%{_basename}
Version:	4.0.0
Release:	22
URL:            http://www.qoscosgrid.org/trac/qcg-computing
License:	GPLv3
Group:		Applications
Source0:	%{name}-%{version}.%{default_package_ext}
BuildRequires:  bash
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Requires:       openssl-devel
Requires:       gcc
Requires:       qcg-comp >= 3.2.0
BuildArch:      noarch
Requires:	bash
Conflicts:	qcg-appscripts-sync

%define         _config_prefix     %{_sysconfdir}/qcg/qcg-comp/app-scripts
%define         _share_prefix      /usr/share/qcg-appscripts
%define         _sbin_prefix       /usr/sbin
%define         _log_prefix        /var/log/qcg/qcg-comp/appscripts


%description
Application scripts & tools for QCG-Computing service


%prep
%setup -q -n %{name}-%{version}

%build
find . -name .svn -type d -exec rm -fR {} \; -prune


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbin_prefix}
install -d $RPM_BUILD_ROOT%{_config_prefix}
install -d $RPM_BUILD_ROOT%{_share_prefix}
install -d $RPM_BUILD_ROOT%{_log_prefix}

install    bin/qcg-appscripts-deploy       $RPM_BUILD_ROOT%{_sbin_prefix}/
install    etc/config                      $RPM_BUILD_ROOT%{_config_prefix}/
cp         doc/README                      $RPM_BUILD_ROOT%{_share_prefix}/
cp         doc/INSTALL                     $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R apps                            $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R app-scripts                     $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R config                          $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R core                            $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R sites                           $RPM_BUILD_ROOT%{_share_prefix}/
cp      -R tools                           $RPM_BUILD_ROOT%{_share_prefix}/


%post
echo "Please read installation instructions in %{_share_prefix}/INSTALL file"

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)

%attr(755,root,root) %{_sbin_prefix}/qcg-appscripts-deploy
%config(noreplace) %attr(644,root,root) %{_config_prefix}/config

%defattr(644,root,root,755)
%doc %{_share_prefix}/README
%doc %{_share_prefix}/INSTALL
%{_share_prefix}/tools
%{_share_prefix}/config
%{_share_prefix}/sites/hydra/config
%{_share_prefix}/sites/inula/config
%{_share_prefix}/sites/moss/config
%{_share_prefix}/sites/nova/config
%{_share_prefix}/sites/reef/config
%{_share_prefix}/sites/task/config
%{_share_prefix}/sites/zeus/config
%{_log_prefix}

%defattr(755,root,root,755)
%{_share_prefix}/apps
%{_share_prefix}/app-scripts
%{_share_prefix}/core
%{_share_prefix}/sites/hydra/apps
%{_share_prefix}/sites/inula/apps
%{_share_prefix}/sites/moss/apps
%{_share_prefix}/sites/nova/apps
%{_share_prefix}/sites/reef/apps
%{_share_prefix}/sites/task/apps
%{_share_prefix}/sites/zeus/apps


%changelog
* Wed Jun 18 2014 Piotr Kopta <pkopta@man.poznan.pl>
- Initial version of the package
